#ifndef CRYPT_SALT_H
#define CRYPT_SALT_H

#include "misc/compat.h"
#include "base/dblock.h"

void saltInit(void);
void saltAddBuffer(uint8 *buffer, int length);
void saltAdd(DataBlock *db);
void saltBuffer(uint8 *buffer, int length);

//internal functions
void saltCrypt(int offset, int length);

#endif //CRYPT_SALT_H
